GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- File List
- File Members

Classes | Typedefs | Enumerations | Functions
gdal_priv.h File Reference

C++ GDAL entry points. More...

`#include "gdal.h"`
`#include "gdal_frmts.h"`
`#include "cpl_vsi.h"`
`#include "cpl_conv.h"`
`#include "cpl_string.h"`
`#include "cpl_minixml.h"`
`#include "cpl_multiproc.h"`
`#include "cpl_atomic_ops.h"`
`#include <cmath>`
`#include <cstdint>`
`#include <iterator>`
`#include <limits>`
`#include <map>`
`#include <memory>`
`#include <vector>`
`#include "ogr_core.h"`
`#include "ogr_feature.h"`

Go to the source code of this file.

## Classes
class | GDALMajorObject
| Object with metadata. More...
class | GDALOpenInfo
| Class for dataset open functions. More...
class | GDALDataset
| A set of associated raster bands, usually from one file. More...
class | GDALDataset::Bands
| Class returned by GetBands() that act as a container for raster bands. More...
struct | GDALDataset::FeatureLayerPair
| Object returned by GetFeatures() iterators. More...
class | GDALDataset::Layers
| Class returned by GetLayers() that acts as a range of layers. More...
class | GDALDataset::Layers::Iterator
| Layer iterator. More...
class | GDALDataset::Features
| Class returned by GetFeatures() that act as a container for vector features. More...
class | GDALRasterBlock
| A single raster block in the block cache. More...
class | GDALColorTable
| A color table / palette. More...
class | GDALRasterBand
| A single raster band (or channel). More...
class | GDALDriver
| Format specific driver. More...
class | GDALDriverManager
| Class for managing the registration of file format drivers. More...
class | GDALAsyncReader
| Class used as a session object for asynchronous requests. More...
class | GDALExtendedDataType
| Class used to represent potentially complex data types. More...
class | GDALEDTComponent
| Class for a component of a compound extended data type. More...
class | GDALIHasAttribute
| Interface used to get a single GDALAttribute or a set of GDALAttribute. More...
class | GDALGroup
| Class modeling a named container of GDALAttribute, GDALMDArray or other GDALGroup. More...
class | GDALAbstractMDArray
| Abstract class, implemented by GDALAttribute and GDALMDArray. More...
class | GDALRawResult
| Store the raw result of an attribute value, which might contain dynamically allocated structures (like pointer to strings). More...
class | GDALAttribute
| Class modeling an attribute that has a name, a value and a type, and is typically used to describe a metadata item. More...
class | GDALMDArray
| Class modeling a multi-dimensional array. More...
class | GDALDimension
| Class modeling a a dimension / axis used to index multidimensional arrays. More...

## Typedefs
typedef std::unique_ptr< GDALDataset, GDALDatasetUniquePtrDeleter > | GDALDatasetUniquePtr
| Unique pointer type for GDALDataset. More...

## Enumerations
enum | GDALIdentifyEnum { GDAL_IDENTIFY_UNKNOWN = -1, GDAL_IDENTIFY_FALSE = 0, GDAL_IDENTIFY_TRUE = 1 }
| Enumeration used by GDALDriver::pfnIdentify(). More...

## Functions
GDALDriverManager * | GetGDALDriverManager (void)
| Fetch the global GDAL driver manager. More...

## Detailed Description

C++ GDAL entry points.

## Typedef Documentation

typedef std::unique_ptr<GDALDataset, GDALDatasetUniquePtrDeleter> GDALDatasetUniquePtr

Unique pointer type for GDALDataset.

Appropriate for use on datasets open in non-shared mode and onto which reference counter has not been manually modified.

Since
  GDAL 2.3

## Enumeration Type Documentation

enum GDALIdentifyEnum

Enumeration used by GDALDriver::pfnIdentify().

Since
  GDAL 2.1

Enumerator
GDAL_IDENTIFY_UNKNOWN | Identify could not determine if the file is recognized or not by the probed driver.
GDAL_IDENTIFY_FALSE | Identify determined the file is not recognized by the probed driver.
GDAL_IDENTIFY_TRUE | Identify determined the file is recognized by the probed driver.

## Function Documentation

GDALDriverManager* GetGDALDriverManager | ( | void |  | ) |

Fetch the global GDAL driver manager.

This function fetches the pointer to the singleton global driver manager. If the driver manager doesn't exist it is automatically created.

Returns
  pointer to the global driver manager. This should not be able to fail.